@import url('https://fonts.googleapis.com/css2?family=Ubuntu:wght@300;400;500;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Lato:wght@300;400;700;900&display=swap');

/* Määritetään fontit ja marginaalit, mitä sivuilla käytetään */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Asetetaan taustavideon asettelut sivulle */

.banner {
  width: 100%;
  height: 100vh;
  position: fixed;
}

.video-background {
  position: absolute;
  top: 0;
  left: 0;
  min-width: 100%;
  min-height: 100%;
  object-fit: cover;
  z-index: -1;
}

.video-wrap {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  height: 100%;
  overflow: hidden;
}

#video {
  position: relative;
  min-width: 100%;
  min-height: 100%;
}

/* Tehdään navigointipalkin konfigurointi */
.navbar {
  width: 85%;
  margin: 0 auto;
  padding: 35px 0;
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-family: 'Ubuntu', sans-serif;
  position: relative;
  z-index: 2;
}

/* Philosophical Quotes -logon tyylittely */
.logo {
  color: #f3c306;
  font-size: 1rem;
  font-weight: bold;
  font-style: italic;
  padding: 3rem 0.5rem;
  cursor: pointer;
}

/* Navigointipalkin listaelementtien määritys */
.navbar ul li {
  list-style: none;
  margin: 0 20px;
  display: inline-block;
  position: relative;
}
.navbar ul li a {
  text-decoration: none;
  color: rgb(255, 255, 255);
  text-transform: uppercase;
}

/* Navigointipalkin elementtien after -effect ja transitio */
.navbar ul li::after {
  content: '';
  height: 3px;
  width: 0;
  background: #f3c306;
  position: absolute;
  left: 0;
  bottom: -10px;
  transition: 0.5s;
}
.navbar ul li:hover::after {
  width: 100%;
}

/* Hero -container tekstin määritys (headerit ja paragrafit) */
.content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: left;
  color: #eceae1;
  font-family: 'Lato', sans-serif;
  z-index: 1;
  padding: 0 1rem;
}
.content h1 {
  font-size: 2rem;
  font-weight: 700;
  margin-bottom: 1rem;
  line-height: 1.2;
  text-align: left;
}
.content h2 {
  font-size: 1.5rem;
  font-weight: 400;
  margin-bottom: 1rem;
  text-align: left;
}
.content p {
  font-size: 1.1rem;
  line-height: 1.6;
  color: #e1e1e1;
  max-width: 600px;
  margin: 0 auto;
  font-weight: 300;
  text-align: left;
}

/* Sivulla näkyvän painikkeen määritys ja efektit */
button {
  width: 200px;
  padding: 15px 0;
  text-align: center;
  margin: 20px 10px;
  border-radius: 25px;
  font-weight: bold;
  border: 2px solid #f3c306;
  background: transparent;
  color: #fff;
  cursor: pointer;
  position: relative;
  overflow: hidden;
  transition: all 0.3s ease;
}

/* transition: all 0.3s ease estää sen, ettei reunat muutu kun ylittää kursorilla näppäimen */
span {
  background: #f3c306;
  height: 100%;
  width: 0;
  border-radius: 25px;
  position: absolute;
  left: 0;
  bottom: 0;
  z-index: -1;
  transition: all 0.3s ease;
}

/* Määrittää napin liukuefektin leveyden (100%)*/
/* Jos liukuefekti säädetään esim 80%:iin niin liuku ei tule painikkeessa loppuun saakka */
button:hover span {
  width: 100%;
}

/* Poistetaan painikkeesta reunat, kun tuodaan kursori sen päälle */
button:hover button:hover span {
  color: #333;
}
